import bpsFormatter from '../formatters/bps.mjs';
import timeFormatter from '../formatters/time.mjs';
import bytesFormatter from '../formatters/bytes.mjs';
import ordinalFormatter from '../formatters/ordinal.mjs';
import currencyFormatter from '../formatters/currency.mjs';
import percentageFormatter from '../formatters/percentage.mjs';
import exponentialFormatter from '../formatters/exponential.mjs';

const BUILT_IN_FORMATTERS = [
    percentageFormatter,
    currencyFormatter,
    ordinalFormatter,
    timeFormatter,
    bytesFormatter,
    exponentialFormatter,
    bpsFormatter,
];

export default BUILT_IN_FORMATTERS;
