'use strict';

const locale = {
    code: 'ar',
    delimiters: {
        thousands: '٬',
        decimal: '٫',
    },
    abbreviations: '|||ألف\u200e|||مليون\u200e|||مليار\u200e|||ترليون\u200e',
    ordinal: () => '.',
    numeralSystem: [
        '٠',
        '١',
        '٢',
        '٣',
        '٤',
        '٥',
        '٦',
        '٧',
        '٨',
        '٩',
    ].map(e => e + '\u200e'),
};

module.exports = locale;
