'use strict';

var multiplyByPowerOfTen = require('./multiply-by-power-of-ten.js');

const roundNumber = (number, precision, roundingFunction) => {
    const resolvedPrecision = precision || 0;
    const resolvedRoundingFunction = roundingFunction || Math.round;
    const scaledValueForRounding = multiplyByPowerOfTen(number, resolvedPrecision);
    const roundedScaledValue = resolvedRoundingFunction(scaledValueForRounding);
    const roundedValue = multiplyByPowerOfTen(roundedScaledValue, -resolvedPrecision);
    return roundedValue;
};

module.exports = roundNumber;
