'use strict';

var bps = require('../formatters/bps.js');
var time = require('../formatters/time.js');
var bytes = require('../formatters/bytes.js');
var ordinal = require('../formatters/ordinal.js');
var currency = require('../formatters/currency.js');
var percentage = require('../formatters/percentage.js');
var exponential = require('../formatters/exponential.js');

const BUILT_IN_FORMATTERS = [
    percentage,
    currency,
    ordinal,
    time,
    bytes,
    exponential,
    bps,
];

module.exports = BUILT_IN_FORMATTERS;
